Package ghidra.app.decompiler

# Class DecompInterface.EncodeDecodeSet

java.lang.Object
ghidra.app.decompiler.DecompInterface.EncodeDecodeSet

Enclosing class:
  DecompInterface

public static class DecompInterface.EncodeDecodeSet extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `PackedDecode`
  `callbackQuery`
  `PackedEncode`
  `callbackResponse`
  `Encoder`
  `mainQuery`
  `PackedDecode`
  `mainResponse`
  `OverlayAddressSpace`
  `overlay`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EncodeDecodeSet(Program program)`
  Set up encoders and decoders for functions that are not in overlay address spaces
  `EncodeDecodeSet(Program program, OverlayAddressSpace spc)`
  Set up encoders and decoders for functions in an overlay space

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setOverlay(OverlayAddressSpace spc)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### overlay

    public OverlayAddressSpace overlay

  - ### mainQuery

    public Encoder mainQuery

  - ### mainResponse

    public PackedDecode mainResponse

  - ### callbackQuery

    public PackedDecode callbackQuery

  - ### callbackResponse

    public PackedEncode callbackResponse

- ## Constructor Details

  - ### EncodeDecodeSet

    public EncodeDecodeSet(Program program)
    Set up encoders and decoders for functions that are not in overlay address spaces
    Parameters:
      `program` - is the active Program

  - ### EncodeDecodeSet

    public EncodeDecodeSet(Program program, OverlayAddressSpace spc) throws AddressFormatException
    Set up encoders and decoders for functions in an overlay space
    Parameters:
      `program` - is the active Program
      `spc` - is the initial overlay space to set up for
    Throws:
      `AddressFormatException` - if address translation is not supported for the overlay

- ## Method Details

  - ### setOverlay

    public void setOverlay(OverlayAddressSpace spc) throws AddressFormatException
    Throws:
      `AddressFormatException`